backend:
  name: git-gateway
  branch: master # Branch to update (optional; defaults to master)
media_folder: static/images
public_folder: /images
site_url: https://mateuszcholewka.pl/
display_url: https://mateuszcholewka.pl/
locale: pl
collections:
  - name: 'posts'
    label: 'Post'
    folder: 'content/posts'
    create: true
    slug: '{{slug}}'
    editor:
      preview: false
    fields:
      - { label: 'Title', name: 'title', widget: 'string' }
      - { label: "Tags", name: "tags", widget: "list", default: ["news"] }
      - { label: "Category", name: "category", widget: "list", default: ["cicd"] }
      - { label: 'Publish Date', name: 'date', widget: 'datetime' }
      - { label: 'Body', name: 'body', widget: 'markdown' }
  - label: "Strona"
    name: "pages"
    files:
      - label: "O mnie"
        name: "about"
        file: "content/about.md"
        fields:
          - { label: Title, name: title, widget: string }
          - { label: 'Publish Date', name: 'date', widget: 'datetime' }
          - { label: 'Hide Date', name: hidedate, widget: boolean, default: true }
          - { label: 'Body', name: 'body', widget: 'markdown' }
